Version 6.7.7 Source
Single

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `download_template` | Section Break | Download Template Download the Template, fill appropriate data and attach the modified file. All dates and employee combination in the selected period will come in the template, with existing attendance records |
2 | `att_fr_date` | Date | Attendance From Date |
3 | `att_to_date` | Date | Attendance To Date |
4 | `get_template` | Button | Get Template |
5 | `upload_attendance_data` | Section Break | Import Attendance |
6 | `upload_html` | HTML | Upload HTML |
7 | `import_log` | HTML | Import Log |

### Controller

#### erpnext.hr.doctype.upload_attendance.upload_attendance

### Class UploadAttendance

Inherits from frappe.model.document.Document

erpnext.hr.doctype.upload_attendance.upload_attendance.add_data (w, args)

No docs

erpnext.hr.doctype.upload_attendance.upload_attendance.add_header (w)

No docs

erpnext.hr.doctype.upload_attendance.upload_attendance.get_active_employees ()

No docs

erpnext.hr.doctype.upload_attendance.upload_attendance.get_dates (args)

get list of dates in between from date and to date

erpnext.hr.doctype.upload_attendance.upload_attendance.get_existing_attendance_records (args)

No docs

erpnext.hr.doctype.upload_attendance.upload_attendance.get_naming_series ()

No docs

Public API
`/api/method/erpnext.hr.doctype.upload_attendance.upload_attendance.get_template`

erpnext.hr.doctype.upload_attendance.upload_attendance.get_template ()

No docs

Public API
`/api/method/erpnext.hr.doctype.upload_attendance.upload_attendance.upload`

erpnext.hr.doctype.upload_attendance.upload_attendance.upload ()

No docs